#!/bin/bash

APP_NAME="apskel-frontend"
PORT="8080"

echo "🔄 Pulling latest code..."
git pull

echo "🐳 Building Docker image..."
docker build -t apskel-frontend .

docker stop $APP_NAME 2>/dev/null
docker rm $APP_NAME 2>/dev/null

docker run -d --name $APP_NAME \
  -p 8080:$PORT \
  $APP_NAME:latest

echo "✅ Deployment complete."
